{% set CodiceModulo = "RIL_PER_TEM" %}
{% set Urn = "document:c_d643:zona.traffico.limitato;permesso.temporaneo" %}
{% set Urn_procedimento = "transito.zona.traffico.limitato.rilascio:permesso" %}
{% set allegati=[
{ "codice":"MARCA_BOLLO",
  "urn":"document:s_italia:pagamento.imposta.bollo;apposizione.domanda;dichiarazione.sostitutiva",
  "descrizione_tabella_allegati":"Pagamento dell'imposta di bollo",
  "annotazioni_tabella_allegati":"",
  "descrizione_meta":"", 
  "filename":"",
  "numero":"1",
  "enabled":"",
  "dynamic_check":"true",
  "tipo":"secondario"
},
{ "codice":"CAR-CIR-VEI",
  "urn":"document:s_italia:viabilita;transito.mezzi.pesanti;carta.circolazione.veicolo;documentazione",
  "descrizione_tabella_allegati":"Carta di circolazione del veicolo",
  "annotazioni_tabella_allegati":"",
  "descrizione_meta":"", 
  "filename":"Carta circolazione veicolo",
  "firmatari":"Titolare_CodiceFiscale",
  "firmatari_label":"il dichiarante",
  "firmato":"NO",
  "numero":"1",
  "dimensione":"15",
  "enabled":"",
  "dynamic_check":"true",
  "tipo":"allegato",
  "tipo_mime":"image/tiff,image/png,image/jpeg,application/pdfn"
},
{ "codice":"RIC-DIR-SEG",
  "urn":"document:s_italia:diritti.segreteria.istruttoria;ricevuta",
  "descrizione_tabella_allegati":"ricevuta diritti di segreteria",
  "annotazioni_tabella_allegati":"",
  "descrizione_meta":"", 
  "filename":"ricevuta diritti di segreteria",
  "firmatari":"Titolare_CodiceFiscale",
  "firmatari_label":"il dichiarante",
  "firmato":"NO",
  "numero":"1",
  "dimensione":"15",
  "enabled":"true",
  "dynamic_check":"true",
  "tipo":"allegato",
  "tipo_mime":"image/tiff,image/png,image/jpeg,application/pdfn"
},
{ "codice":"DAE-CDI",
  "urn":"document:s_italia:generale;documento.identita;documentazione",
  "descrizione_tabella_allegati":"copia del documento di identità",
  "annotazioni_tabella_allegati":"(da allegare se il modulo è sottoscritto con firma autografa)",
  "descrizione_meta":"", 
  "filename":"Documento identita",
  "firmatari":"Titolare_CodiceFiscale",
  "firmatari_label":"il dichiarante",
  "firmato":"NO",
  "numero":"1",
  "dimensione":"15",
  "enabled":"",
  "dynamic_check":"",
  "tipo":"allegato",
  "tipo_mime":"image/tiff,image/png,image/jpeg,application/pdfn" 
}
]%}
{% set campi_firma = [
  {
    "campi_firma" : "Titolare_CodiceFiscale",
    "campi_firma_label" : "il dichiarante",
    "firmatario" : "SI"
  }
]%}
{% extends "base.html" %}
{% block meta %}

<meta campi_firma="{% for campofirma in campi_firma %}{% if campofirma['firmatario'] == 'SI' %}{% if not loop.first %},{% endif %}{{ campofirma['campi_firma'] }}{% endif %}{% endfor %}"
campi_firma_label="{% for campofirma in campi_firma %}{% if campofirma['firmatario'] == 'SI' %}{% if not loop.first %},{% endif %}{{ campofirma['campi_firma_label'] }}{% endif %}{% endfor %}"
classi_modulo="Polizia locale"
trattamento_dati="PERSONALI"
codice_modulo="{{ CodiceModulo }}"
urn="{% block urn %}{{ Urn }}{% endblock urn %}"
urn_procedimento="{% block urn_procedimento %}{{ Urn_procedimento }}{% endblock urn_procedimento %}"
urn_procedimento_list=""
sub_urn_list=""
uo_globo_list=""
descrizione="Domanda di rilascio del permesso temporaneo per transito in zona a traffico limitato"
destinatario_amministrazione=""
destinatario_ufficio="UOPOLIZIALOCALE"
dinamico="SI"
email_a=""
ente_abilitato="TUTTI"
filigrana="NO"
firmare="P7M_ELETTRONICA"
in_bollo="SI"
istruzioni_compilazione=""
istruzioni_invio="mail_pec"
metodo_invio="mail"
name="GLOBO_modulo"
procura="NO,,"
tipo_modulo="principale"
ufficio=""
verifica_pagamento="NO"
versione="4.1|17/05/2024"/>

<meta codice_modulo_figlio="INCARICO_PROCURA"
urn_modulo_figlio="document:s_italia:generale;incarico.procura"
name="GLOBO_modulofiglio"
numero="1"
obbligatorio="DINAMICO"/>

{% for allegato in allegati %}{% set descr = "" %}{% if allegato['descrizione_meta'] == '' %} {% set descr = allegato['descrizione_tabella_allegati']  %} {% else %}{% set descr = allegato['descrizione_meta'] %} {% endif %}
   {% if allegato['tipo'] == "allegato" %}
    <meta codice_allegato="{{ allegato['codice'] }}"
     urn_allegato="{{ allegato['urn'] }}"
     descrizione_estesa="{{  descr[0]|upper + descr[1:descr|length] }}"
     filename="{{ allegato['filename'][0]|upper + allegato['filename'][1:allegato['filename']|length] }}"
     firmatari="{{ allegato['firmatari'] }}"
     firmatari_label="{{ allegato['firmatari_label'] }}"
     firmato="{{ allegato['firmato'] }}"
     name="GLOBO_allegato"
     numero="{{ allegato['numero'] }}"
     dimensione_massima="{{ allegato['dimensione'] }}"
     obbligatorio="DINAMICO"
     tipo_mime="{{ allegato['tipo_mime'] }}"/>
   {% elif allegato['tipo'] == "secondario" %} 
     <meta codice_modulo_figlio="{{ allegato['codice'] }}"
     urn_modulo_figlio="{{ allegato['urn'] }}"
     name="GLOBO_modulofiglio"
     numero="{{ allegato['numero'] }}"
     obbligatorio="DINAMICO"/>
   {% endif %}{% endfor %}

<meta codice_allegato="ALTRI-ALLEGATI"
urn_allegato="document:s_italia:altri.allegati"
descrizione_estesa="Altri allegati"
filename="Altri allegati"
firmato="NO"
name="GLOBO_allegato"
numero="0"
obbligatorio="DINAMICO"
tipo_mime="image/tiff,image/png,image/jpeg,application/pdfn"/>

{% endblock meta %}

{% block title %}Domanda di rilascio del permesso temporaneo per transito in zona a traffico limitato{% endblock title %}

{% block content %}

<input dynamic_value="#Titolare_Cognome.value().toUpperCase() + ' ' + #Titolare_Nome.value().toUpperCase() + ' - zona a traffico limitato (nuovo permesso)'" id="Oggetto" name="Oggetto" type="hidden"/>
<input id="Tassonomi_TipoIstanzaZTL1" name="Tassonomi_TipoIstanzaZTL" type="hidden" value="1"/>

{{ intestazioni.intestazione_moduloprincipale_conbollo() }}

<div class="container">
  <div class="title-1"> Domanda di rilascio del permesso temporaneo per transito in zona a traffico limitato </div>
  <div class="title-2"> Ai sensi dell'articolo 7 del Decreto legislativo 30/04/1992, n. 285 </div>
</div>

<!-- Ulteriori ruoli disponibili: Responsabile unico del procedimento, Procuratore con potere di rappresentanza legale, Incaricato dell’impresa di onoranze funebri, Direttore tecnico, Gestore, Dipendente, Delegato -->
{{ anagrafica.societa(prefix='Titolare', 
                      intestazione="Il sottoscritto", 
                      ruoli=["Persona fisica", "Titolare", "Legale rappresentante"], 
                      Solo1="Richiedente", 
                      visibility_mail="mail_ordinaria", 
                      pec_obbligatoria="false", 
                      cciaa_visibile="false", 
                      campi_readonly="readonly", 
                      visibility_residenza="visibility:visibility", 
                      visibility_asterisco_ruolo="display:none", 
                      tipologia_associazione="false", 
                      mailordinaria_obbligatoria="false", 
                      tipologia_entepubblico="false", 
                      visibility_codice_fatturazione="false") }}

{{utils.domicilio_digitale()}}

<div class="container mt-0 mb-0">
  <div class="title-3"> CHIEDE </div>
  <div class="paragraph text-justify"> il rilascio del permesso temporaneo di transito in ZTL per i seguenti veicoli </div>
</div>

<div class="container border bg-light">
  <div class="form-row">
    <div class="form-group col-lg-2">
      <label for=""> Targa </label>
    </div>
    <div class="form-group col-lg-2">
      <label for=""> Alimentazione </label>
    </div>
    <div class="form-group col-lg-2">
      <label for=""> Classe </label>
    </div>
    <div class="form-group col-lg-3">
      <label for=""> Cognome intestatario </label>
    </div>
    <div class="form-group col-lg-3">
      <label for=""> Nome intestatario </label>
    </div>
  </div>
  {% for i in range(1, 5) %}
  <div class="form-row" >
    <div class="form-group col-lg-2">
      <input onceonly="true"  label="Targa veicolo"  format="alphanumeric" {% if loop.first %} id="Parametri_VeicoloTarga" name="Parametri_VeicoloTarga" {% else %} id="Parametri_VeicoloTarga{{ i }}" name="Parametri_VeicoloTarga{{ i }}" {% endif %} class="form-control " {% if loop.first %} mandatory_enabled="true" {% elif loop.index == 2 %} enabled="#Parametri_VeicoloTarga.value() != ''" {% else %} enabled="#Parametri_VeicoloTarga{{ i-1 }}.value() != ''" {% endif %} > 
    </div>
    <div class="form-group col-lg-2">
      <input onceonly="true"  label="Alimentazione" {% if loop.first %} id="Parametri_VeicoloAlimentazione" name="Parametri_VeicoloAlimentazione" {% else %} id="Parametri_VeicoloAlimentazione{{ i }}" name="Parametri_VeicoloAlimentazione{{ i }}" {% endif %} class="form-control " {% if loop.first %} mandatory_enabled="true" {% else %} mandatory_enabled="#Parametri_VeicoloTarga{{ i }}.value() != ''" {% endif %} > 
    </div>
    <div class="form-group col-lg-2">
      <select onceonly="true"  label="Classe" {% if loop.first %} id="Parametri_VeicoloClasse" name="Parametri_VeicoloClasse" {% else %} id="Parametri_VeicoloClasse{{ i }}" name="Parametri_VeicoloClasse{{ i }}" {% endif %} class="form-control custom-select"  {% if loop.first %} mandatory_enabled="true" {% else %} mandatory_enabled="#Parametri_VeicoloTarga{{ i }}.value() != ''" {% endif %} >
        <option value=""></option>
        <option value="autoveicolo">autoveicolo</option>
        <option value="motoveicolo">motoveicolo</option>
      </select>
    </div>
    <div class="form-group col-lg-3">
      <input onceonly="true"  label="Cognome intestatario veicolo" {% if loop.first %} id="Parametri_VeicoloCognome" name="Parametri_VeicoloCognome" {% else %} id="Parametri_VeicoloCognome{{ i }}" name="Parametri_VeicoloCognome{{ i }}" {% endif %} class="form-control " {% if loop.first %} mandatory_enabled="true" {% else %} mandatory_enabled="#Parametri_VeicoloTarga{{ i }}.value() != ''" {% endif %} > 
    </div>
    <div class="form-group col-lg-3">
      <input onceonly="true"  label="Nome intestatario veicolo" {% if loop.first %} id="Parametri_VeicoloNome" name="Parametri_VeicoloNome" {% else %} id="Parametri_VeicoloNome{{ i }}" name="Parametri_VeicoloNome{{ i }}" {% endif %} class="form-control " {% if loop.first %} mandatory_enabled="true" {% else %} mandatory_enabled="#Parametri_VeicoloTarga{{ i }}.value() != ''" {% endif %} > 
    </div>
  </div>
  {% endfor %}
</div>

<globo_salto_pagina></globo_salto_pagina>

{% set num=4 %}
{% set campi=[
  {
    "titolo":"Dal giorno",
    "label":"Giorno inizio",
    "id":"Parametri_DataInizioTemp1",
    "format":"date",
    "carattere_speciale":"",
    "col":"3",
    "options":""
  },
  {
    "titolo":"Al giorno",
    "label":"Giorno fine",
    "id":"Parametri_DataFineTemp1",
    "format":"date",
    "carattere_speciale":"",
    "col":"3",
    "options":""
  },
  {
    "titolo":"Dalle ore",
    "label":"Ora inizio",
    "id":"Parametri_OraInizioTemp1",
    "format":"time",
    "carattere_speciale":"",
    "col":"3",
    "options":""
  },
  {
    "titolo":"Alle ore",
    "label":"Ora fine",
    "id":"Parametri_OraFineTemp1",
    "format":"time",
    "carattere_speciale":"",
    "col":"3",
    "options":""
  },
]%}
<div class="container border bg-light">
  <div class="form-row">
    <div class="col-lg-12">
      <span class="title"> per il seguente periodo di transito </span>
    </div>
  </div>
  <div class="form-row">
    {% for rowlabel in campi %}
    <div class="form-group col-lg-{{ rowlabel['col'] }}">
      <label for=""> {{ rowlabel['titolo']}} </label>
    </div>
    {% endfor %}
  </div>
  {% for i in range(1, num) %}
  <div class="form-row" {% if loop.first %} mandatory_enabled="true" {% endif %}>
    {% for campo in campi %}
    <div class="form-group col-lg-{{ campo['col'] }}">
      {% if campo["carattere_speciale"]!=''%}<div class="paragraph text-justify">{% endif %}
        {% if campo["options"] == ''%}<input {% else %} <select class="custom-select" {% endif %} label="{{ campo['label'] }}" {% if campo["format"]!='' %} format="{{ campo['format'] }}" {% endif %} id="{{ campo['id']~i }}" name="{{ campo['id']~i }}" {% if i!=1 %} {% if loop.first %} enabled="#{{ campo['id']~ (i-1)}}.value()!=''" {% else %} mandatory_enabled="#{{ campi[0]['id']~i }}.value()!=''" {% endif %}{% endif %} class="form-control {% if campo['carattere_speciale']!='' %} w-50 d-inline-block {% endif %}"  {% if campo["campi"] == ''%}/> {% else %}> {% endif %}
        {% if campo["options"] != ''%}<option value=""></option>{% for option in campo["options"].split(',') %}<option value="{{ option }}">{{ option }}</option>{% endfor %}</select>{% endif %}
      {% if campo["carattere_speciale"]!=''%}{{ campo["carattere_speciale"] }}</div>{% endif %}
    </div>
    {% endfor %}
  </div>
  {% endfor %}
</div>
<div class="container border bg-light">
  <div class="form-row">
    <div class="col-lg-12">
      <span class="title"> per il seguente motivo </span>
    </div>
    <div class="form-group col-lg-12" mandatory_enabled="true">
      <label for="Parametri_Motivo"> Motivazione alla base della domanda </label>
      <textarea class="form-control" id="Parametri_Motivo" name="Parametri_Motivo" label="Motivazione alla base della domanda"></textarea>
    </div>
  </div>
</div>


{{ utils.Dichiara_445() }}


<div class="container">
  <div class="form-check indent-1">
    <input class="form-check-input" id="Dichiarare" name="Dichiarare" type="checkbox" value="SI" checked="checked" dynamic_check="true">
    <label class="form-check-label text-justify" for="Dichiarare"> di prendere atto che la presente autorizzazione deve essere obbligatoriamente rinnovata 15 giorni prima della scadenza, senza nessun preavviso da parte dell’Ufficio che la ha rilasciata </label>
  </div>
  <div class="form-check indent-1">
    <input class="form-check-input" id="Dichiarare2" name="Dichiarare2" type="checkbox" value="SI" checked="checked" dynamic_check="true">
    <label class="form-check-label text-justify" for="Dichiarare2"> che sarà a suo carico comunicare ogni modificazione dello stato presente sopra dichiarato rilevante ai fini della disciplina della ZTL, secondo le disposizioni regolamentari del Comune di Foggia vigente in materia, ivi inclusa la riconsegna dell’eventuale contrassegno concesso, sia qualora venissero a mancare i requisiti che hanno determinato il rilascio, sia alla scadenza o comunque ad ogni rinnovo dello stesso </label>
  </div>
  <div class="form-check indent-1">
    <input class="form-check-input" id="Dichiarare3" name="Dichiarare3" type="checkbox" value="SI" checked="checked" dynamic_check="true">
    <label class="form-check-label text-justify" for="Dichiarare3"> che l’uso improprio del contrassegno darà luogo, oltre alle sanzioni previste dal vigente Codice della Strada, anche il ritiro da parte dell’agente accertatore o alla sospensione o revoca del permesso stesso </label>
  </div>
</div>



<div class="space-1"></div>

{{ utils.eventuali_annotazioni()}}

<div class="space-1"></div>

<div class="container border bg-light">
  <div class="form-row">
    <div class="col-lg-12" style="text-align: center;">
      <span class="title"> Elenco degli allegati </span>
      <div class="space-0"></div>
      <span class="infoes"> (barrare tutti gli allegati richiesti in fase di presentazione della pratica ed elencati sul portale) </span>
    </div>
  </div>
  {% for allegato in allegati %}
  <div class="form-check indent-1">
    {% if allegato['tipo'] == "allegato" %}<input id="GLOBO_allegato_c{{ allegato['codice'] }}" name="GLOBO_allegato_c{{ allegato['codice'] }}" obbligatorio="#{{ allegato['codice']|replace('-', '_') }}.checked() ? 'OBBLIGATORIO' : ''" type="hidden" value=""/>{% elif allegato['tipo'] == "secondario" %} <input id="GLOBO_modulofiglio_c{{ allegato['codice'] }}" name="GLOBO_modulofiglio_c{{ allegato['codice'] }}" type="hidden" value="" obbligatorio="#{{ allegato['codice']|replace('-', '_') }}.checked() ? 'OBBLIGATORIO' : ''"/>{% endif %}
    <input class="form-check-input" id="{{ allegato['codice'] }}" name="{{ allegato['codice'] }}" type="checkbox" value="OBBLIGATORIO" {% if allegato['dynamic_check'] == "true" %} dynamic_check="true" checked="checked" {% elif allegato['dynamic_check'] != "" and allegato['enabled'] == "" %} dynamic_check="{{ allegato['dynamic_check'] }}" {% elif allegato['dynamic_check'] == "" and allegato['enabled'] != "" %} enabled="{{ allegato['enabled'] }}" {% elif allegato['dynamic_check'] != "" and allegato['enabled'] != "" %} dynamic_check="{{ allegato['dynamic_check'] }}" enabled="{{ allegato['enabled'] }}" {% endif %}>
    <label class="form-check-label text-justify" for="{{ allegato['codice'] }}"> {{ allegato['descrizione_tabella_allegati'][0]|lower + allegato['descrizione_tabella_allegati'][1:allegato['descrizione_tabella_allegati']|length] }}{% if allegato['annotazioni_tabella_allegati'] != "" %} <div class="space-0"></div> <span class="infoes"><i>{{  allegato['annotazioni_tabella_allegati']|safe }}</i></span>{% endif %}</label>
  </div>
  {% endfor %}
  <div class="form-row ml-0 mr-0 mt-1">
    <div class="form-check indent-1 col-lg-2">
      <input class="form-check-input" type="checkbox" id="ALTRI-ALLEGATI" name="ALTRI-ALLEGATI" value="OBBLIGATORIO">
      <label class="form-check-label text-justify" for="ALTRI-ALLEGATI">altri allegati </label>
    </div>
    <div class="form-group col-lg-10">
      <input class="form-control" id="AltriAllegati" name="AltriAllegati" mandatory_enabled="#ALTRI_ALLEGATI.checked()">
    </div>
  </div>
</div>

<div class="space-1"></div>
<globo_salto_pagina></globo_salto_pagina>

{{ utils.trattamento_dati_personali() }}

<div class="space-1"></div>

<globo_fondo_pagina style="margin-left: 25pt;" areaheight="150" scope="3">
  {{ utils.firma_unificata()}}
</globo_fondo_pagina>

<div class="space-1"></div>

{{ utils.salva()}}

<input destinatario_amministrazione="getParameter('Ente')" id="GLOBO_modulo_c{{ CodiceModulo }}" name="GLOBO_modulo_c{{ CodiceModulo }}" type="hidden" value=""/>

<input firmare="'P7M_ELETTRONICA'" id="GLOBO_modulofiglio_cINCARICO_PROCURA" name="GLOBO_modulofiglio_cINCARICO_PROCURA" type="hidden" value=""/>

<input id="GLOBO_allegato_cALTRI-ALLEGATI" name="GLOBO_allegato_cALTRI-ALLEGATI" obbligatorio="#ALTRI_ALLEGATI.checked() ? 'OBBLIGATORIO' : ''" type="hidden" value=""/>

<input id="GLOBO_id_padre" name="GLOBO_id_padre" type="hidden"/>
<input id="GLOBO_recupera_dati" name="GLOBO_recupera_dati" type="hidden"/>
<input id="GLOBO_codice_modulo" name="GLOBO_codice_modulo" type="hidden" value="{{ CodiceModulo }}"/>

{% endblock content %}
